package org.wso2.carbon.device.mgt.ios.api.utils.beans;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Solely used for parsing application list objects in iOS.
 * Hence properties are in upper case as per the application list request.
 */
@ApiModel(
        value = "Application",
        description = "This class carries all information related application"
)
public class Application {

    @ApiModelProperty(
            name = "BundleSize",
            value = "Size of the Bundle.",
            required = true
    )
    private String BundleSize;
    @ApiModelProperty(
            name = "DynamicSize",
            value = "Dynamic size of the application",
            required = true
    )
    private String DynamicSize;
    @ApiModelProperty(
            name = "Identifier",
            value = "Related device identifier for the application.",
            required = true
    )
    private String Identifier;
    @ApiModelProperty(
            name = "Name",
            value = "Name of the application.",
            required = true
    )
    private String Name;
    @ApiModelProperty(
            name = "ShortVersion",
            value = "ShortVersion of the application",
            required = true
    )
    private String ShortVersion;
    @ApiModelProperty(
            name = "Version",
            value = "version of the application",
            required = true
    )
    private String Version;

    public String getBundleSize() {
        return BundleSize;
    }

    public void setBundleSize(String bundleSize) {
        BundleSize = bundleSize;
    }

    public String getDynamicSize() {
        return DynamicSize;
    }

    public void setDynamicSize(String dynamicSize) {
        DynamicSize = dynamicSize;
    }

    public String getIdentifier() {
        return Identifier;
    }

    public void setIdentifier(String identifier) {
        Identifier = identifier;
    }

    public String getName() {
        return Name;
    }

    public void setName(String name) {
        Name = name;
    }

    public String getShortVersion() {
        return ShortVersion;
    }

    public void setShortVersion(String shortVersion) {
        ShortVersion = shortVersion;
    }

    public String getVersion() {
        return Version;
    }

    public void setVersion(String version) {
        Version = version;
    }
}